Query triples
curl --request GET \
--url https://www.neode.ai/api/triples \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.neode.ai/api/triples"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.neode.ai/api/triples', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"object_type": "literal",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"confidence": 0.5,
"source": "<string>",
"graph_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"index_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"object_entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z"
}
],
"count": 123
}{
"success": false,
"error": "<string>",
"details": "<string>"
}{
"success": false,
"error": "<string>",
"details": "<string>"
}Triples
Query triples
Retrieve triples with various filtering options. Use this to query your knowledge graph.
GET
/
api
/
triples
Query triples
Authorizations
API key for authentication
Query Parameters
Full-text search across subject, predicate, and object
Filter by exact subject match
Filter by graph ID
Filter by index ID
Filter by subject entity ID
Filter by object entity ID
Filter by predicates
Number of results to skip for pagination
Required range:
x >= 0Maximum number of results
Required range:
x <= 500